Subject: bug#78975: Feature request: per-library compiler

From: Karl Berry <[email-masked]>
Date: Fri, 11 Jul 2025 10:30:28 -0600

Hi Bill - thanks much for the detailed and thought-out message.

    Since the same source would 
    be compiled for multiple devices, it would be advantageous to compile 
    the source with multiple compilers within a single Makefile.am.  
    ...
    add new variables (`maude_CC', `maude_CXX', etc.) and use 

It looks reasonable to me. I don't recall this coming up before. I don't
think you missed anything in your searching, but if anyone else here has
an idea for how to accomplish this, I'm sure they'll chime in.

How easy or hard this will be to implement, I just have no idea.  I will
look as soon as I have a chance, but I can't give an ETA.  Bogdan (or
anyone else), maybe you'd be able to look at it?

Thanks again,
Karl